Exiv2: Exiv2::TiffPrinter Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exiv2::TiffPrinter Class Reference

TIFF composite visitor to print the TIFF structure to an output stream. More...

`#include <tiffvisitor.hpp>`

Inheritance diagram for Exiv2::TiffPrinter:

[legend]
Collaboration diagram for Exiv2::TiffPrinter:

[legend]

List of all members.

## Public Member Functions
Creators
| TiffPrinter (std::ostream &os, const std::string &prefix="")
| Constructor, takes an output stream to write to.
virtual | ~TiffPrinter ()
| Virtual destructor.
Manipulators
virtual void | visitEntry (TiffEntry *object)
| Print a TIFF entry.
virtual void | visitDataEntry (TiffDataEntry *object)
| Print a TIFF data entry.
virtual void | visitSizeEntry (TiffSizeEntry *object)
| Print a TIFF size entry.
virtual void | visitDirectory (TiffDirectory *object)
| Print a TIFF directory.
virtual void | visitDirectoryNext (TiffDirectory *object)
| Print header before next directory.
virtual void | visitDirectoryEnd (TiffDirectory *object)
| Cleanup before leaving this directory.
virtual void | visitSubIfd (TiffSubIfd *object)
| Print a TIFF sub-IFD.
virtual void | visitMnEntry (TiffMnEntry *object)
| Print a TIFF makernote.
virtual void | visitIfdMakernote (TiffIfdMakernote *object)
| Print an IFD makernote.
virtual void | visitArrayEntry (TiffArrayEntry *object)
| Print an array entry component.
virtual void | visitArrayElement (TiffArrayElement *object)
| Print an array element.
void | incIndent ()
| Increment the indent by one level.
void | decIndent ()
| Decrement the indent by one level.
Accessors
void | printTiffEntry (TiffEntryBase *object, const std::string &prefix="") const
| Print a standard TIFF entry.
std::string | prefix () const
| Return the current prefix.

## Detailed Description

TIFF composite visitor to print the TIFF structure to an output stream.

The documentation for this class was generated from the following file:

- tiffvisitor.hpp